Package web2py :: Package gluon :: Module widget

[hide private]
[frames] | no frames]

# Module widget

source code

This file is part of the web2py Web Framework Copyrighted by Massimo Di Pierro <mdipierro@cs.depaul.edu> License: LGPLv3 (http://www.gnu.org/licenses/lgpl.html)

The widget is called from web2py.

Classes | [hide private]

| BaseException Common base class for all non-exit exceptions.
| IO
| web2pyDialog Main window dialog

Functions | [hide private]

try_start_browser(url) Try to start the default browser | source code

start_browser(ip, port) Starts the default browser | source code

presentation(root) Draw the splash screen | source code

console() Defines the behavior of the console web2py execution | source code

start_schedulers(options) | source code

start(cron=True) Start server | source code

Variables | [hide private]

| ProgramName = ``'``web2py Web Framework``'``
| ProgramAuthor = ``'``Created by Massimo Di Pierro, Copyright 2007-``...``
| ProgramVersion = ``'``Version 1.99.7 (2012-03-04 16:03:35) stable``'``
| ProgramInfo = ``'``web2py Web Framework\n Created` `...``
| msg = `msg % sys.version`
| logger = `logging.getLogger("web2py")`

Variables Details | [hide private]

### ProgramAuthor

Value:

      'Created by Massimo Di Pierro, Copyright 2007-2011'

### ProgramInfo

Value:

      '''web2py Web Framework
                       Created by Massimo Di Pierro, Copyright 2007-2011
                       Version 1.99.7 (2012-03-04 16:03:35) stable'''